Bug 1931141 - Review Request: plocate - Much faster locate
Summary: Review Request: plocate - Much faster locate
Keywords:
Status: CLOSED DUPLICATE of bug 2002418
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-20 21:46 UTC by Mosaab Alzoubi
Modified: 2021-11-23 18:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-08 18:35:19 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Mosaab Alzoubi 2021-02-20 21:46:15 UTC
Spec URL: http://in.waw.pl/~zbyszek/fedora/plocate.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/zbyszek/plocate/fedora-34-x86_64/02010528-plocate/plocate-1.1.4-1.fc34.src.rpm
Description: Much faster locate
Fedora Account System Username:

Comment 1 Mikel Olasagasti Uranga 2021-02-21 14:49:36 UTC
Some comments:

- plocate.spec:10: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 1)

- mlocate obsoletes slocate, plocate should obsolete mlocate?

https://src.fedoraproject.org/rpms/mlocate/blob/rawhide/f/mlocate.spec#_22

- updatedb as default name rather than plocate-updatedb

> %meson -Dupdatedb_progname=plocate-updatedb
(...)
> %_sbindir/plocate-updatedb

- Change /var/lib to %{_sharedstatedir}

> /var/lib/plocate/CACHEDIR.TAG

- mlocate is triggered after install, could be interesting also here

https://src.fedoraproject.org/rpms/mlocate/blob/rawhide/f/mlocate.spec#_81

Comment 2 Zbigniew Jędrzejewski-Szmek 2021-05-12 14:07:42 UTC
Updated in place with the suggested changes, and an update to latest version.
As suggested, the service is not started (asynchronously) in %posttrans if enabled, so
that the database is populated after installation.

With the reply from mlocate maintainer [1], we have a clear plan how to proceed:
plocate conflicts with mlocate. At some point in the future we can add Obsoletes.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/QPJ63B2CHESRRCXG7BK5L7YSVBCVBX3J/

Comment 3 Robert-André Mauchin 🐧 2021-06-12 21:05:05 UTC
 - Why:

%exclude /usr/lib/debug

AFAIK it goes automatically into the debug packages

 - 1.1.8 has been published

 - Is the whole systemd-devel needed, or would systemd-rpm-macros?

Comment 4 Robert-André Mauchin 🐧 2021-06-12 21:30:32 UTC
*suffice?

 → it appears it is detected by meson to install the unit files

 - drop the patch with 1.1.8


LGTM, You just need to remove  

%exclude /usr/lib/debug

fro; %files


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License, Version
     2", "GNU General Public License v2.0 or later". 35 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/plocate/review-plocate/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[-]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: plocate-1.1.8-1.fc35.x86_64.rpm
          plocate-debuginfo-1.1.8-1.fc35.x86_64.rpm
          plocate-debugsource-1.1.8-1.fc35.x86_64.rpm
          plocate-1.1.8-1.fc35.src.rpm
plocate.x86_64: W: non-standard-gid /usr/bin/plocate plocate
plocate.x86_64: E: setgid-binary /usr/bin/plocate plocate 2755
plocate.x86_64: E: non-standard-executable-perm /usr/bin/plocate 2755
plocate.x86_64: W: no-manual-page-for-binary locate
plocate.x86_64: W: dangerous-command-in-%posttrans rm
plocate.src: W: spelling-error %description -l en_US mlocate -> locate, m locate
4 packages and 0 specfiles checked; 2 errors, 4 warnings.

Comment 5 Zbigniew Jędrzejewski-Szmek 2021-06-21 15:07:42 UTC
Thanks!

 → it appears it is detected by meson to install the unit files

Yeah, it's using the systemd.pc file. It'd be nice to allow this to be overridden
using a configure switch, so the systemd-devel is not needed, but that'd be something
for upstream to patch.

EDIT: I added a patch to use the macro instead. I'll submit it upstream by email.

I'll update to 1.1.8 inplace.

@moceap can you take it from here?

Comment 6 Zbigniew Jędrzejewski-Szmek 2021-09-03 09:46:17 UTC
Mosaab, ping!

Comment 7 Zbigniew Jędrzejewski-Szmek 2021-09-08 18:35:19 UTC
I want to get this done, so I submitted a fresh review request under my account.
Robert-André: if you could re-approve the package in the new ticket, that'd be great.
It's the same, except for a trivial version bump to 1.1.11, which was released 3 days ago.

*** This bug has been marked as a duplicate of bug 2002418 ***

Comment 8 nucleo 2021-11-23 17:37:44 UTC
Default /etc/updatedb.conf can be added?

Comment 9 Zbigniew Jędrzejewski-Szmek 2021-11-23 18:35:19 UTC
(In reply to nucleo from comment #8)
> Default /etc/updatedb.conf can be added?
It could, but I don't see much reason to. The man page says that all options default to
empty, and the man page describes the possible options quite well.


Note You need to log in before you can comment on or make changes to this bug.